package com.facebook.share.model;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;

public final class AppGroupCreationContent implements ShareModel {
    public static final Creator<AppGroupCreationContent> CREATOR = new 1();
    private final String description;
    private final String name;
    private AppGroupPrivacy privacy;

    private AppGroupCreationContent(Builder builder) {
        AppMethodBeat.i(97331);
        this.name = Builder.access$000(builder);
        this.description = Builder.access$100(builder);
        this.privacy = Builder.access$200(builder);
        AppMethodBeat.o(97331);
    }

    AppGroupCreationContent(Parcel parcel) {
        AppMethodBeat.i(97332);
        this.name = parcel.readString();
        this.description = parcel.readString();
        this.privacy = (AppGroupPrivacy) parcel.readSerializable();
        AppMethodBeat.o(97332);
    }

    public final String getName() {
        return this.name;
    }

    public final String getDescription() {
        return this.description;
    }

    public final AppGroupPrivacy getAppGroupPrivacy() {
        return this.privacy;
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(97333);
        parcel.writeString(this.name);
        parcel.writeString(this.description);
        parcel.writeSerializable(this.privacy);
        AppMethodBeat.o(97333);
    }

    static {
        AppMethodBeat.i(97334);
        AppMethodBeat.o(97334);
    }
}
